GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

List personas GETAdd persona POSTDelete persona DELETEUpdate persona PUT
Personas

Add persona POST

Add a buyer persona.

Update persona PUT

Edit a buyer persona.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Personas

Delete persona

DELETE
/brands/{brandId}/personas/{personaId}

Delete a buyer persona.

Authorization

apiKey write
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Scope: write

Path Parameters

brandId*string
Formatuuid
personaId*string
Formatuuid

Response Body

Persona deleted

Example Request
curl -X DELETE 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/personas/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
Empty

Add persona POST

Add a buyer persona.

Update persona PUT

Edit a buyer persona.

Start free trial
Start free trial
Example Request
curl -X DELETE 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/personas/497f6eca-6276-4993-bfeb-53cbbbba6f08'